enum ItemType {
  expense(
    title: "Expense",
    plural: "Expenses",
    description: "Items which cost revenue, or decrease asset value.",
  ),
  income(
    title: "Income",
    plural: "Income",
    description: "Items which bring in revenue, or increase asset value.",
  ),
  asset(
    title: "Asset",
    plural: "Assets",
    description: "Value which has been earned and can be spent.",
  );

  const ItemType({
    required this.title,
    required this.plural,
    required this.description,
  });

  final String title;
  final String plural;
  final String description;
}
